> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notifications

> List a user notification



## OpenAPI

````yaml /swagger.json get /notifications
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /notifications:
    get:
      tags:
        - notification
      description: List a user notification
      parameters:
        - schema:
            type: string
            enum:
              - unread
              - read
          required: true
          name: notifyStates
          in: query
        - schema:
            type: string
            nullable: true
          required: false
          name: cursor
          in: query
      responses:
        '200':
          description: Successful response, return user notification list.
          content:
            application/json:
              schema:
                type: object
                properties:
                  notifications:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        notifyIcon:
                          anyOf:
                            - type: object
                              properties:
                                iconUrl:
                                  type: string
                              required:
                                - iconUrl
                            - type: object
                              properties:
                                userId:
                                  type: string
                                userName:
                                  type: string
                                userAvatarUrl:
                                  type: string
                                  nullable: true
                              required:
                                - userId
                                - userName
                        notifyType:
                          type: string
                          enum:
                            - system
                            - collaboratorCellTag
                            - collaboratorMultiRowTag
                            - comment
                            - exportBase
                        url:
                          type: string
                        message:
                          type: string
                        messageI18n:
                          type: string
                          nullable: true
                        isRead:
                          type: boolean
                        createdTime:
                          type: string
                      required:
                        - id
                        - notifyIcon
                        - notifyType
                        - url
                        - message
                        - isRead
                        - createdTime
                  nextCursor:
                    type: string
                    nullable: true
                required:
                  - notifications
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/notifications?notifyStates=SOME_STRING_VALUE&cursor=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/notifications?notifyStates=SOME_STRING_VALUE&cursor=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/notifications?notifyStates=SOME_STRING_VALUE&cursor=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/notifications?notifyStates=SOME_STRING_VALUE&cursor=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````